Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3188 - undefined reference to 'ulckpwdf'
Summary: undefined reference to 'ulckpwdf'
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-01 03:40 UTC by josh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 09:52:48 UTC


Attachments (Terms of Use)

Description josh 1999-06-01 03:40:14 UTC
I am attempting to use the shadow suite password file
locking routines, but only the locking one of them seems to
be in the glibc libraries.  I get the following error
message:

/tmp/cca126091.o: In function `main':
/tmp/cca126091.o(.text+0x3d): undefined reference to
`ulckpdwf'

when I attempt to compile the following program:

#include <stdio.h>
#include <shadow.h>

void main(void) {

        int i;

        i = lckpwdf();
        printf("Press enter to continue.");
        i = getchar();
        printf("Done.\n");
        i = ulckpdwf();
}


Any ideas?

Comment 1 David Lawrence 1999-06-01 20:33:59 UTC
I have confirmed this on a stock 6.0 machine.

Comment 2 Jeff Johnson 1999-06-02 09:52:59 UTC
Fix the typo in your program.


Note You need to log in before you can comment on or make changes to this bug.